Bug 996799 - [abrt] ardour-2.8.16-3.fc19: __gnu_cxx::__verbose_terminate_handler: Process /usr/lib64/ardour2/ardour-2.8.16 was killed by signal 6 (SIGABRT)
[abrt] ardour-2.8.16-3.fc19: __gnu_cxx::__verbose_terminate_handler: Process ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
abrt_hash:2e77d7b273f0c9a21adca9b0ac7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 21:36 EDT by Mark Walker
Modified: 2015-02-17 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.09 KB, text/plain)
2013-08-13 21:36 EDT, Mark Walker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-13 21:36 EDT, Mark Walker
no flags Details
File: core_backtrace (33.01 KB, text/plain)
2013-08-13 21:36 EDT, Mark Walker
no flags Details
File: dso_list (14.97 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: environ (1.48 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: maps (78.88 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: open_fds (1.46 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details
File: var_log_messages (2.26 KB, text/plain)
2013-08-13 21:37 EDT, Mark Walker
no flags Details

  None (edit)
Description Mark Walker 2013-08-13 21:36:49 EDT
Description of problem:
I started experimenting with Ardour after Audacity kept freezing on me for no obvious reason. I at first set Ardour to 41000 sample rate, as that was the sample rate of all the stuff I did in Audacity. But Ardour would not successfully export any sound from a selected subset, only the full "session" of sound. So I thought maybe it was because Ardour (or Jack) wanted to be at 48000. So I had a chance to set Ardour to 48000 and tried importing one of my old WAV files, and Ardour understandably complained about the different sample rate. It was about that time that Ardour crashed. That's a lot of words to say I have no idea what crashed Ardour, but this time it activated ABRT.  But I would like Audacity not to freeze, and Ardour to export from selections. Thank you.

Version-Release number of selected component:
ardour-2.8.16-3.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/ardour2/ardour-2.8.16
crash_function: __gnu_cxx::__verbose_terminate_handler
executable:     /usr/lib64/ardour2/ardour-2.8.16
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __gnu_cxx::__verbose_terminate_handler at ../../../../libstdc++-v3/libsupc++/vterminate.cc:95
 #3 __cxxabiv1::__terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:38
 #4 std::terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:48
 #5 __cxxabiv1::__gxx_personality_v0 at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:664
 #6 _Unwind_ForcedUnwind_Phase2 at ../../../libgcc/unwind.inc:175
 #7 _Unwind_ForcedUnwind at ../../../libgcc/unwind.inc:207
 #8 __pthread_unwind at unwind.c:129
 #9 __do_cancel at ../nptl/pthreadP.h:264
 #10 sigcancel_handler at nptl-init.c:214
 #12 _IO_vfprintf_internal at vfprintf.c:1635
Comment 1 Mark Walker 2013-08-13 21:36:53 EDT
Created attachment 786359 [details]
File: backtrace
Comment 2 Mark Walker 2013-08-13 21:36:56 EDT
Created attachment 786360 [details]
File: cgroup
Comment 3 Mark Walker 2013-08-13 21:36:59 EDT
Created attachment 786361 [details]
File: core_backtrace
Comment 4 Mark Walker 2013-08-13 21:37:02 EDT
Created attachment 786362 [details]
File: dso_list
Comment 5 Mark Walker 2013-08-13 21:37:05 EDT
Created attachment 786363 [details]
File: environ
Comment 6 Mark Walker 2013-08-13 21:37:08 EDT
Created attachment 786364 [details]
File: limits
Comment 7 Mark Walker 2013-08-13 21:37:12 EDT
Created attachment 786365 [details]
File: maps
Comment 8 Mark Walker 2013-08-13 21:37:15 EDT
Created attachment 786366 [details]
File: open_fds
Comment 9 Mark Walker 2013-08-13 21:37:18 EDT
Created attachment 786367 [details]
File: proc_pid_status
Comment 10 Mark Walker 2013-08-13 21:37:21 EDT
Created attachment 786368 [details]
File: var_log_messages
Comment 11 Fedora Admin XMLRPC Client 2013-11-05 03:36:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2015-01-09 14:26:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:45:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.